%define major 25
%define libname %mklibname dc1394_ %{major}
%define develname %mklibname dc1394 -d

Summary: 	Library for 1394 Digital Camera Specification
Name: 		libdc1394
Version: 	2.2.6
Release: 	%mkrel 1
License: 	GPLv2+
Group: 		System/Libraries
URL: 		http://sourceforge.net/projects/libdc1394/
Source0: 	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz
Patch0:		libdc1394-2.2.0-fix-linking.patch
Patch1:		libdc1394-2.1.2-videodev.h.patch
#----------------------------------------
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}raw1394-devel
BuildRequires: %{_lib}SDL-devel
BuildRequires: %{_lib}usb1.0-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xext-devel
BuildRequires: %{_lib}xv-devel
BuildRequires: mesa-devel
#-----------------------------------------
Requires: 	libraw1394

%description
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package -n 	%{libname}
Summary: 	Dynamic library from libdc1394
Group: 		System/Libraries
Provides: 	libdc1394

%description -n %{libname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package -n 	%{develname}
Summary: 	Development components for libdc1394
Group: 		Development/Libraries
Requires: 	%{libname} = %{version}-%{release}
%if "%{_lib}" != "lib"
Provides: 	libdc1394-devel = %{version}-%{release}
%endif
Provides: 	dc1394-devel = %{version}-%{release}

%description -n %{develname}
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

This archive contains the header-files for libdc1394 development

%prep
%setup -q 
%patch0 -p0
%patch1 -p0

%build
%configure2_5x --disable-static
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%doc AUTHORS ChangeLog NEWS README 
%{_libdir}/*.so.%{major}*

%files -n %{develname}
%{_bindir}/dc1394_reset_bus
%{_includedir}/dc1394
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_mandir}/man1/*.1*


%changelog
* Fri Jul 05 2019 tex - 2.2.6-1pclos2019
- new version

* Tue Jan 03 2017 bb <bb> - 2.2.5-1pclos2017
- new version

* Wed May 25 2016 bb <bb> 2.2.4-1pclos2016
- update 

